cURL
curl --request POST \
--url https://public.api.inop.ai/v1/titles/normalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"term": "Data scientist in Remote (EU)"
}
'import requests
url = "https://public.api.inop.ai/v1/titles/normalize"
payload = { "term": "Data scientist in Remote (EU)" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({term: 'Data scientist in Remote (EU)'})
};
fetch('https://public.api.inop.ai/v1/titles/normalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messages": "Normalized job title",
"data": {
"id": "d1ae83a0-0bd2-5354-8c0e-1eefbbe1131e",
"name": "Data Scientist",
"confidence": 1,
"job_levels": []
}
}{
"error": 123,
"message": "<string>"
}Job Titles
Normalize
Normalize a raw job title string to the best matching INOP title
POST
/
titles
/
normalize
cURL
Normalize a raw job title string to the best matching INOP title
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
normalize unstructured job title
⌘I
